timeout(1)

NAME
timeout - Send a signal to a program after a certain time

SYNTAX
timeout [-s signal] seconds program [args]

DESCRIPTION
timeout executes a program (with arguments args) and sends a signal to it after a certain amount of seconds.

OPTIONS

-s signal
    Signal to send to the spawned process. This can be a numerical or symbolic ID. This defaults to TERM.

EXAMPLES

timeout 10 pap foo.ps
    Execute "pap foo.ps" and send a SIGTERM if pap doesn't return after 10 seconds.

timeout -s HUP 60 sh
    Spawn a shell and send a hangup signal after one minute.

timeout -s 9 10 evilprog
    Execute a program and KILL it if it doesn't quit after 10 seconds.